org.apache.http.nio

## Interface NHttpMessageParserFactory<T extends HttpMessage>

All Known Implementing Classes:
  DefaultHttpRequestParserFactory, DefaultHttpResponseParserFactory

    public interface NHttpMessageParserFactory<T extends HttpMessage>

Factory for `NHttpMessageParser` instances.

Since:
  4.3

### Method Summary

Methods
`NHttpMessageParser<T>` `create(SessionInputBuffer buffer, MessageConstraints constraints)`

### Method Detail

#### create

    NHttpMessageParser<T> create(SessionInputBuffer buffer,
                               MessageConstraints constraints)